html,body {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
    }

* {
    margin: 0;
    padding: 0;
}

.main {
    position: relative;
    height: 100%;
    width: 100%;
    margin-top: 10%;

}

.main h1 {
    position: relative;
    height: auto;
    width: 550px;
    left: 50%;
    transform: translateX(-50%);
    margin: 5% 0 2% 0;
    text-align: center;
    font-size: 2.5em;
    font-weight: 650;
    letter-spacing: 1.5px;
    color: black;
    border-left: 5px solid var(--primary);
    border-right: 5px solid var(--primary);
    background-color: var(--dark);
}

.main h1 span {
    color: var(--primary);
}

.main p {
    position: relative;
    height: auto;
    width: 100%;
    text-align: center;
    font-weight: 400;
    font-size: 1.5em;
    letter-spacing: 1px;
    color: var(--primary);
}

.main .gallery-foto {
    position: relative;
    height: auto;
    width: 90%;
    margin: auto;
    padding: 45px 0;
    display: grid;
    grid-template-columns: auto auto auto auto;
    grid-gap: 2vh;
    grid-auto-flow: dense;
}

.main .gallery-foto .img {
    position: relative;
    height: 100%;
    width: 100%;
    overflow: hidden;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.9);
    border-radius: 2px;
}

.main .gallery-foto .img:first-child {
    grid-column-start: span 2;
    grid-row-start: span 2;
}

.main .gallery-foto .img:nth-child(2n+3) {
    grid-row-start: span 2;
}

.main .gallery-foto .img:nth-child(4n+5) {
    grid-column-start: span 2;
    grid-row-start: span 2;
}

.main .gallery-foto .img:nth-child(6n+7) {
    grid-row-start: span 1;
}

.main .gallery-foto .img:nth-child(8n+9) {
    grid-column-start: span 1;
    grid-row-start: span 1;
}

.main .gallery-foto .img img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    filter: brightness(0.5) grayscale(100);
    transition: 0.3s ease-in-out;
}

.main .gallery-foto .img:hover img {
    filter: brightness(1) grayscale(0);
    cursor: pointer;
}

@media only screen and (max-width: 768px) {
    html, body {
    overflow-x: hidden;
}

    .main h1 {
        font-size: 1.8em;
        width: 400px;
    }

    .main p {
        font-size: 1.2em;
        
    }

    .main .gallery-foto {
        display: grid;
        grid-template-columns: auto auto auto;
    }
}

@media only screen and (max-width: 430px) {
    html, body {
    overflow-x: hidden;
}
    .main h1 {
        font-size: 1.2em;
        width: 300px;
    }

    .main p {
        font-size: 0.89em;

    }

    .main .gallery-foto {
        display: block;
    }

    .main .gallery-foto .img {
        display: block;
        width: 100%;
        height: 100%;
        margin: 2% 0;
    }

    .main .gallery-foto .img img {
        display: block;
        filter: brightness(1) grayscale(0);
}

}

/* MEDIA QUERIES START */

/* 
  ##Device = Desktops
  ##Screen = 1281px to higher resolution desktops
*/

@media (min-width: 1281px) {
    html {
        font-size: 75%;
        justify-content: center;
        max-width: 100%;
    }

    html,body {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        font-size: 55%;
    }

    .modal-container-donasi {
        height: 40%;
    }
}

/* 
  ##Device = Laptops, Desktops
  ##Screen = B/w 1025px to 1280px
*/

@media (min-width: 1025px) and (max-width: 1280px) {
  html,body {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        font-size: 70%;
    }
    
/* #hamburger-menu {
        display: inline-block;
    }

    .navbar .navbar-nav {
        position: absolute;
        top: 100%;
        right: -100%;
        background-color: #650037;
        width: 30rem;
        height: 100vh;
        transition: 0.4s;
}

    .navbar .navbar-nav.active {
        right: 0;
    }

    .navbar .navbar-nav a {
        color: var(--bg);
        display: block;
        margin: 1.5rem;
        padding: 0.5rem;
        font-size: 2rem;
    }

    .navbar .navbar-nav a::after {
        transform-origin: 0 0;
    }

    .navbar .navbar-nav a:hover::after {
        transform: scaleX(0.2);
    } */
  
}

/* 
  ##Device = Tablets, Ipads (portrait)
  ##Screen = B/w 768px to 1024px
*/

@media (min-width: 768px) and (max-width: 1024px) {
    html,body {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        font-size: 62.5%;
    }

    #hamburger-menu {
        display: inline-block;
    }

    .navbar .navbar-nav {
        position: absolute;
        top: 100%;
        right: -100%;
        background-color: #650037;
        width: 30rem;
        height: 100vh;
        transition: 0.4s;
}

    .navbar .navbar-nav.active {
        right: 0;
    }

    .navbar .navbar-nav a {
        color: var(--bg);
        display: block;
        margin: 1.5rem;
        padding: 0.5rem;
        font-size: 2rem;
    }

    .navbar .navbar-nav a::after {
        transform-origin: 0 0;
    }

    .navbar .navbar-nav a:hover::after {
        transform: scaleX(0.2);
    }

    .visi .row {
        flex-wrap: wrap;
    }


    .visi .row .misi-container h3 {
        margin-top: 1rem;
    }

    .lokasi .row {
        flex-wrap: wrap;
    }

    /* .kontak .row .kontak-container a {
        font-size: 0.5rem;
    } */

    .kontak .row .kontak-container .kontak-link {
        font-size: 1rem;
    }

    .modal-content-donasi {
        flex-wrap: wrap;
    }

    .modal-container-donasi {
        height: 32.3%;
    }

    .donasi-container .quotes {
        font-size: 0.8rem;
    }

    .modal-content-donasi .qris-box img {
        height: 9.8rem;
    }

    .modal-container-about {
        height: 50%;
    }

    .modal-content-about img {
        margin-top: 4.5rem;
    }

    .about-content-p {
        margin: 0.2 1rem 1rem;
    }

    .main .judul-web {
        margin-top: 15%;
        font-size: 2rem;
    }

    .main .lead {
        font-size: 1.7rem;
    }

}

/* 
  ##Device = Tablets, Ipads (landscape)
  ##Screen = B/w 768px to 1024px
*/

@media (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {
  html,body {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        font-size: 55%;
    }
  
}

/* 
  ##Device = Low Resolution Tablets, Mobiles (Landscape)
  ##Screen = B/w 481px to 767px
*/

@media (min-width: 481px) and (max-width: 767px) {
  html,body {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        font-size: 55%;
    }

    #hamburger-menu {
        display: inline-block;
    }

    .navbar .navbar-nav {
        position: absolute;
        top: 100%;
        right: -100%;
        background-color: #650037;
        width: 30rem;
        height: 100vh;
        transition: 0.4s;
}

    .navbar .navbar-nav.active {
        right: 0;
    }

    .navbar .navbar-nav a {
        color: var(--bg);
        display: block;
        margin: 1.5rem;
        padding: 0.5rem;
        font-size: 2rem;
    }

    .navbar .navbar-nav a::after {
        transform-origin: 0 0;
    }

    .navbar .navbar-nav a:hover::after {
        transform: scaleX(0.2);
    }
  
}

/* 
  ##Device = Most of the Smartphones Mobiles (Portrait)
  ##Screen = B/w 320px to 479px
*/

@media (min-width: 360px) and (max-width: 480px) {
html,body {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        font-size: 55%;
    }

    .hero .content {
        max-width: 480px;
    }

    .modal-container-donasi {
        height: 40%;
    }

    .donasi-content .donasi-judul {
        width: 20rem;
    }

    .modal-content-donasi .qris-box img {
        height: 10rem;
    }

    .donasi-content .bank-rekening p {
        font-size: 0.5;
        height: 3.2rem;
    }

    .modal-content-about {
        flex-wrap: wrap;
    }

    .modal-content-about img {
        margin: 0 auto;
        height: 8rem;
    }

    .about-content h3 {
        margin: 0.5rem auto 0;
    }

    .about-content-p {
        margin: 0 1rem 1rem;
    }

    .modal-container-about {
        height: 55%;
    }
    
    #hamburger-menu {
        display: inline-block;
    }

    .navbar .navbar-nav {
        position: absolute;
        top: 100%;
        right: -100%;
        background-color: #650037;
        width: 30rem;
        height: 100vh;
        transition: 0.4s;
}

    .navbar .navbar-nav.active {
        right: 0;
    }

    .navbar .navbar-nav a {
        color: var(--bg);
        display: block;
        margin: 1.5rem;
        padding: 0.5rem;
        font-size: 2rem;
    }

    .navbar .navbar-nav a::after {
        transform-origin: 0 0;
    }

    .navbar .navbar-nav a:hover::after {
        transform: scaleX(0.2);
    }

    .main .judul-web {
        margin-top: 20%;
        font-size: 2rem;
    }

    .main .lead {
        font-size: 1.7rem;
    }
}

/* MEDIA QUERIES END */
